Name:		f3
Version:	2
Release:	3%{?dist}
Summary:	Utility to test for fake flash drives and cards
Group:		Applications/System
License:	GPLv3
URL:		http://oss.digirati.com.br/%{name}/
Source0:	http://oss.digirati.com.br/%{name}/%{name}v%{version}.zip

%description
F3 is a utility to test for fake flash drives and cards. It is a Free
Software alternative to h2testw.  f3write will fill the unused part of
a filesystem with files NNNN.fff with known content, and f3read will
analyze the files to determine whether the contents are corrupted, as
happens with fake flash.

%prep
%setup -q -c
sed -i -e 's/gcc/gcc $(CFLAGS)/' Makefile

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
install -d -m0755 %{buildroot}%{_bindir}
install -p -m0755 f3read f3write %{buildroot}%{_bindir}

%files
%doc README LICENSE
%{_bindir}/f3read
%{_bindir}/f3write

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jun 22 2012 Eric Smith <eric@brouhaha.com>  2-2
- Updated based on package review comments

* Wed Apr 25 2012 Eric Smith <eric@brouhaha.com>  2-1
- Initial version
